[P015]Cited By Patents(Beta)

get
https://connect.patsnap.com/basic-patent-data/forward-citation/v3
Try in Sandbox

Query a specific patent’s cited by other patents via patent_id or patent_number, including: citing country/region/organization, cited patent document number/code, citation counts in simple/INPADOC/Patsnap patent families.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
string000d6583-2f77-42e0-999d-9aa9ecc5b94e
patent_id
patent_number
stringDE3106419A1
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
patent_cited
objectPlease check the form: PatentCited
cited by patents
cited_by_3y
integer<int32>-
Count of cited by patents within 3 years
cited_by_5y
integer<int32>2
Count of cited by patents within 5 years
cited_by_patents
arrayPlease check the form: CitedByPatents
cited by patents
pn
stringCN112833870A
patent number
apdt
integer<int32>20201230
Application Date
apno
stringCN202011610975.8
application number
kind
stringA1
kind code
pbdt
integer<int32>20201230
Publication Date
title
string核磁共振陀螺中抑制碱金属原子极化磁场影响的有效方法
Title
country
stringUS
citation authority
category
array[ "X", "Y" ]
citation category
inventor
string张燚|汪之国|李佳佳
Inventor
sequence
integer<int32>1
sequence
cite_type
array[ "EXA" ]
Citation type:

APP - applicant,EXA - examiner,OPP - opposition,TPO - third party observation,OTHER - others

doc_number
string20130033085
doc number
current_assignee
string中国人民解放军国防科技大学
Current Assignee
original_assignee
string中国人民解放军国防科技大学
Original Assignee (Applicant)
cited_by_simple_family
integer<int32>2
Simple family backward citation count
cited_by_inpadoc_family
integer<int32>2
INPADOC family backward citation count
cited_by_patsnap_family
integer<int32>2
PATSNAP family backward citation count
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "patent_cited": {
        "cited_by_3y": 0,
        "cited_by_5y": 2,
        "cited_by_patents": [
          {
            "pn": "CN112833870A",
            "apdt": 20201230,
            "apno": "CN202011610975.8",
            "kind": "A1",
            "pbdt": 20201230,
            "title": "核磁共振陀螺中抑制碱金属原子极化磁场影响的有效方法",
            "country": "US",
            "category": [
              "X",
              "Y"
            ],
            "inventor": "张燚|汪之国|李佳佳",
            "sequence": 1,
            "cite_type": [
              "EXA"
            ],
            "doc_number": "20130033085",
            "current_assignee": "中国人民解放军国防科技大学",
            "original_assignee": "中国人民解放军国防科技大学"
          }
        ],
        "cited_by_simple_family": 2,
        "cited_by_inpadoc_family": 2,
        "cited_by_patsnap_family": 2
      }
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms